/* CONFIGURATOR CSS - MAIN */

/* UX */
@import url("configurator-animations.css");
@import url("configurator-button-icons.css");
@import url("configurator-button-icons-camera.css");
@import url("configurator-button-icons-defender.css");
@import url("configurator-button-icons-ksr.css");
@import url("configurator-button-icons-veneers.css");
@import url("configurator-buttons.css");
@import url("configurator-colors.css");
@import url("configurator-color-picker.css");
@import url("configurator-dev.css");
@import url("configurator-nav-offcanvas.css");
@import url("configurator-preloader.css");
@import url("configurator-submit-modal.css");
@import url("configurator-text.css");


/* DEMO */
.demo-new {
  color: green !important;
  border: 2px solid green !important;
}

.demo-wip {
  color: orange !important;
  border: 2px solid orange !important;
}

.demo-note {
  border: 2px solid white;
  font-weight: bold;
  width: 100%;
  padding: 1em;
  margin: 1em 0;
  border-radius: 8px !important;
  font-size: small;
}

.demo-wip .demo-note, .demo-wip > .demo-note {
  color: orangered;
  background-color: antiquewhite !important;
}

.demo-new .demo-note, .demo-new > .demo-note {
  color: darkgreen;
  background-color: palegreen !important;
}


.anim-hide {
  display: none;
}



/* BASE */
:root {
  --borderradius: 5px;
}

* {
  -webkit-user-drag: none;
}

* {
  touch-action: manipulation;
}


/* BODY AND HTML */
body,
html {
  -webkit-user-drag: none;
}



.top-pattern-1-dark {
  background-image: url(../img/svg/k-pattern-dark.gif);
  background-repeat: repeat;
  background-position: top;
  background-size: 10%;
  background-blend-mode: darken;
  background-color: #1c1c1c;
}

/* Background Image */
.kingsleybackground {
  z-index: -3;
  width: 100%;
  height: 100% !important;
  background-size: 20%;
  background-position: center;
}

/* Background Color */
.kingsleynavybg {
  background-color: #171717 !important;
}

  /* Style the scrollbar */
  .kingsleynavybg::-webkit-scrollbar {
    width: 10px; /* Width of the scrollbar */
  }

  /* Track (the area behind the scrollbar) */
  .kingsleynavybg::-webkit-scrollbar-track {
    background: transparent; /* Make track invisible */
  }

  /* Handle (the draggable part of the scrollbar) */
  .kingsleynavybg::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.2); /* Color of the thumb */
    border-radius: 8px; /* Rounded corners of the thumb */
    border: 2px solid transparent; /* Optional: border around the thumb */
  }

    /* Handle on hover */
    .kingsleynavybg::-webkit-scrollbar-thumb:hover {
      background-color: rgba(0, 0, 0, 0.4); /* Darker color on hover */
    }

/* Title Position */
.kingsleyforegroundtitle {
  z-index: 1;
  position: relative;
  bottom: 94%;
}


/* Section Styles */
section {
  height: 100% !important;
}


/* ModelViewer Styles */
/* Default styles for model-viewer */
.model-viewer-desktop {
  width: 100vw;
  margin: 0 auto;
  --poster-color: rgba(0, 0, 0, 0);
  /* Default height for desktop */
  height: 100vh;
  transition: height 0.3s ease; /* Transition effect for height change */
}

.model-viewer-mobile {
  width: 100%;
  margin: 0 auto;
  --poster-color: rgba(0, 0, 0, 0);
  /* Default height for mobile */
  height: 50vh;
  transition: height 0.3s ease; /* Transition effect for height change */
}

/* Disable Text Selection */
.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}


.annotation {
  background-color: white;
  position: relative;
  border-radius: var(--borderradius);
  padding: 10px;
  margin-top: 20px;
  margin-left: 0px;
  margin-right: 0px;
  font-size: 1rem;
  /*box-shadow: 0 0 0 1px #00000005, 4px 4px 18px #00000026;*/
}

/* This keeps child nodes hidden while the element loads */
:not(:defined) > * {
  display: none;
}

.menu {
  position: fixed;
  z-index: 999 !important;
}

/*  .menu .menu-expand-link {
    display: none !important;
  }*/




/* ALERTS */

.alert-selection {
  background-color: #fff;
  border: 1.5px solid #dddddd;
  color: #000;
}

.alert a {
  text-decoration: none;
}

  .alert a i {
    font-size: 20px;
    margin-top: -5px;
    opacity: 0.3;
    transition: opacity 0.3s ease;
  }


  .alert a:hover i {
    opacity: 1;
  }



.alert h3 {
  font-size: 1rem;
  line-height: 1.3;
  margin-top: 0 !important;
  margin-bottom: 10px;
  font-family: var(--secondaryfont);
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 1px;
}


/* LISTS */

.list-unstyled li {
  line-height: 20px;
  color: #444;
  margin-bottom: 25px;
  font-size: 16px;
}
